/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { StatusBarTemplateDirective } from './status-bar-template.directive';
import { CellSelectionAggregateService } from './selection-aggregate.service';
import { SelectionAggregates } from './aggregate-types';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class StatusBarComponent {
    private aggregateService;
    hostClasses: boolean;
    get isStatusBarTemplate(): string;
    statusBarTemplate: StatusBarTemplateDirective;
    constructor(aggregateService: CellSelectionAggregateService);
    ngOnInit(): void;
    get aggregates(): SelectionAggregates;
    static ɵfac: i0.ɵɵFactoryDeclaration<StatusBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StatusBarComponent, "kendo-grid-status-bar", never, { "statusBarTemplate": { "alias": "statusBarTemplate"; "required": false; }; }, {}, never, never, true, never>;
}
