/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, NgZone, Renderer2, EventEmitter, OnInit, OnDestroy, SimpleChanges } from '@angular/core';
import { ColumnMenuService } from './column-menu.service';
import { ColumnListKeyboardNavigation } from './column-list-kb-nav.service';
import { ContextService } from '../common/provider.service';
import { AdaptiveGridService } from '../common/adaptiveness.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ColumnListComponent implements OnInit, OnDestroy {
    private element;
    private ngZone;
    private renderer;
    private listNavigationService;
    private adaptiveGridService;
    private ctx;
    checkIcon: import("@progress/kendo-svg-icons").SVGIcon;
    arrowRotateCcwIcon: import("@progress/kendo-svg-icons").SVGIcon;
    className: boolean;
    get listSizeMd(): boolean;
    get listSizeLg(): boolean;
    reset: EventEmitter<any>;
    apply: EventEmitter<any>;
    columnChange: EventEmitter<any>;
    set columns(value: any[]);
    get columns(): any[];
    showActions: boolean;
    autoSync: boolean;
    ariaLabel: string;
    allowHideAll: boolean;
    applyText: string;
    resetText: string;
    actionsClass: string;
    isLast: boolean;
    isExpanded: boolean;
    service: ColumnMenuService;
    resetButton: ElementRef;
    private applyButton;
    private options;
    private checkboxes;
    private hasLocked;
    private hasVisibleLocked;
    private unlockedCount;
    private hasUnlockedFiltered;
    private hasFiltered;
    private _columns;
    private allColumns;
    private domSubscriptions;
    constructor(element: ElementRef, ngZone: NgZone, renderer: Renderer2, listNavigationService: ColumnListKeyboardNavigation, adaptiveGridService: AdaptiveGridService, ctx: ContextService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    isDisabled(column: any): boolean;
    cancelChanges(): void;
    applyChanges(): void;
    onTab(e: Event): void;
    onKeydown: (e: KeyboardEvent) => void;
    private updateDisabled;
    private updateColumnState;
    private setDisabledState;
    private handleCheckBoxClick;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColumnListComponent, [null, null, null, null, { optional: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ColumnListComponent, "kendo-grid-columnlist", never, { "columns": { "alias": "columns"; "required": false; }; "showActions": { "alias": "showActions"; "required": false; }; "autoSync": { "alias": "autoSync"; "required": false; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; }; "allowHideAll": { "alias": "allowHideAll"; "required": false; }; "applyText": { "alias": "applyText"; "required": false; }; "resetText": { "alias": "resetText"; "required": false; }; "actionsClass": { "alias": "actionsClass"; "required": false; }; "isLast": { "alias": "isLast"; "required": false; }; "isExpanded": { "alias": "isExpanded"; "required": false; }; "service": { "alias": "service"; "required": false; }; }, { "reset": "reset"; "apply": "apply"; "columnChange": "columnChange"; }, never, never, true, never>;
}
