/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ColumnBase } from '../columns/column-base';
import { ContextService } from './provider.service';
import { GridClipboardTargetType, GridClipboardItem } from './clipboard-types';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ClipboardService {
    private contextService;
    targetColField: string;
    targetRowIndex: number;
    constructor(contextService: ContextService);
    createClipboardData(data: any[], columns: ColumnBase[], options: any): {
        dataString: string;
        gridItems: GridClipboardItem[];
    };
    getGridData(data: string, columns: ColumnBase[], targetType: GridClipboardTargetType, targetRowIndex: number, options: any): GridClipboardItem[];
    private itemToString;
    private groupSelection;
    private areEqual;
    private addHeaders;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClipboardService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ClipboardService>;
}
