/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { QueryList, EventEmitter } from "@angular/core";
import { ColumnsContainer } from "../columns/columns-container";
import { ColumnList } from "../columns/column-list";
import { ColumnBase } from "../columns/column-base";
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ColumnInfoService {
    visibilityChange: EventEmitter<any>;
    lockedChange: EventEmitter<any>;
    stickyChange: EventEmitter<any>;
    columnRangeChange: EventEmitter<any>;
    columnsContainer: ColumnsContainer;
    private list;
    private stickyColumns;
    get lockedLeafColumns(): QueryList<ColumnBase>;
    get nonLockedLeafColumns(): QueryList<ColumnBase>;
    get isLocked(): boolean;
    get totalLevels(): number;
    get hiddenColumns(): ColumnBase[];
    get leafNamedColumns(): ColumnBase[];
    get unlockedRootCount(): number;
    stickyColumnsStyles(column: ColumnBase): {
        left: string;
        right: string;
    };
    init(columns: ColumnsContainer, list: () => ColumnList): void;
    changeVisibility(columns: any[]): void;
    changeLocked(columns: any[]): void;
    changeStuck(columns: any[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColumnInfoService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ColumnInfoService>;
}
