/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ExcelExportData } from "@progress/kendo-angular-excel-export";
import { Observable } from "rxjs";
import { GridComponent } from "../grid.component";
/**
 * The function that is used to get the exported data options. By default, uses the current data and group of the Grid.
 * To export data that is different from the current Grid data, provide a custom function. [See example](slug:excelexport_grid#toc-exporting-specific-data)
 */
export type FetchDataCallback = (component: GridComponent) => ExcelExportData | Promise<ExcelExportData> | Observable<ExcelExportData>;
