/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Renderer2 } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import type { GridComponent } from '../grid.component';
import { GridToolbarNavigationService } from '../rendering/toolbar/toolbar-navigation.service';
import type { GroupBindingDirective } from '../grouping/group-scroll-binding.directive';
import * as i0 from "@angular/core";
/**
 * @hidden
 *
 * The Context service is used to provide common
 * services and DI tokens for a Grid instance.
 *
 * This keeps the constructor parameters stable
 * and a avoids dependency cycles between components.
 */
export declare class ContextService {
    private renderer;
    localization: LocalizationService;
    grid: GridComponent;
    topToolbarNavigation: GridToolbarNavigationService;
    bottomToolbarNavigation: GridToolbarNavigationService;
    navigable: boolean;
    groupBindingDirective: GroupBindingDirective;
    constructor(renderer: Renderer2, localization: LocalizationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<ContextService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ContextService>;
}
