/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The size restrictions that will be applied to the resizable Grid.
 */
export interface GridResizableSettings {
    /**
     * Specifies the maximum width of the resizable Grid. Accepts all applicable string values for [`max-width`](https://developer.mozilla.org/en-US/docs/Web/CSS/max-width).
     */
    maxWidth?: string;
    /**
     * Specifies the maximum height of the resizable Grid. Accepts all applicable string values for [`max-height`](https://developer.mozilla.org/en-US/docs/Web/CSS/max-height).
     */
    maxHeight?: string;
    /**
     * Specifies the minimum width of the resizable Grid. Accepts all applicable string values for [`min-width`](https://developer.mozilla.org/en-US/docs/Web/CSS/min-width).
     */
    minWidth?: string;
    /**
     * Specifies the minimum height of the resizable Grid. Accepts all applicable string values for [`min-height`](https://developer.mozilla.org/en-US/docs/Web/CSS/min-height).
     */
    minHeight?: string;
}
