/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterViewInit, ChangeDetectorRef, NgZone, OnDestroy, OnInit } from '@angular/core';
import { ToolBarButtonComponent } from '@progress/kendo-angular-toolbar';
import { ContextService } from './provider.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare abstract class ToolbarToolBase implements OnInit, OnDestroy, AfterViewInit {
    host: ToolBarButtonComponent;
    commandName: string;
    ctx: ContextService;
    zone: NgZone;
    private cdr;
    private clickSub;
    constructor(host: ToolBarButtonComponent, commandName: string, ctx: ContextService, zone: NgZone, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onClick(_e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToolbarToolBase, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ToolbarToolBase, never, never, {}, {}, never, never, false, never>;
}
