/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DataResult } from '@progress/kendo-data-query';
/**
 * The data type that is expected by the Grid. [See example](slug:local_data_grid#toc-binding-to-a-griddataresult-object).
 */
export interface GridDataResult extends DataResult {
}
/**
 * @hidden
 */
export declare class DataResultIterator {
    private source;
    private skip;
    private groupFooters;
    private isObject;
    constructor(source: GridDataResult | any[], skip?: number, groupFooters?: boolean);
    protected isGridDataResult(source: GridDataResult | any[]): source is GridDataResult;
    get total(): number;
    get data(): any[];
    map(fn: (item: any, index: number, array: any[]) => any): any[];
    filter(fn: (item: any, index: number, array: any[]) => boolean): any[];
    reduce(fn: (prevValue: any, curValue: any, curIndex: number, array: any[]) => any, init: any): any;
    forEach(fn: (item: any, index: number, array: any[]) => void): void;
    some(fn: (value: any, index: number, array: any[]) => boolean): boolean;
    toString(): string;
}
/**
 * @hidden
 */
export declare class DataCollection {
    private accessor;
    constructor(accessor: () => DataResultIterator);
    get total(): number;
    get length(): number;
    get first(): any;
    get last(): any;
    at(index: number): any;
    map(fn: (item: any, index: number, array: any[]) => any): any[];
    filter(fn: (item: any, index: number, array: any[]) => boolean): any[];
    reduce(fn: (prevValue: any, curValue: any, curIndex: number, array: any[]) => any, init: any): any;
    forEach(fn: (item: any, index: number, array: any[]) => void): void;
    some(fn: (value: any, index: number, array: any[]) => boolean): boolean;
    toString(): string;
}
