/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DomSanitizer } from '@angular/platform-browser';
import { IconsService } from '@progress/kendo-angular-icons';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class DragHintService {
    private sanitizer;
    private iconsService;
    private dom;
    private cancelIcon;
    constructor(sanitizer: DomSanitizer, iconsService: IconsService);
    ngOnDestroy(): void;
    create(title: string): void;
    attach(): Function;
    remove(): void;
    show(): void;
    hide(): void;
    enable(): void;
    disable(): void;
    removeLock(): void;
    toggleLock(locked: boolean): void;
    move(move: {
        pageX: number;
        pageY: number;
    }): void;
    private get isSVG();
    static ɵfac: i0.ɵɵFactoryDeclaration<DragHintService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DragHintService>;
}
