/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { RowEditingDirectiveBase } from './row-editing-directive-base';
import { GridComponent } from '../grid.component';
import { LocalDataChangesService } from '../editing/local-data-changes.service';
import { CreateFormGroup } from '../common/create-form-group';
import * as i0 from "@angular/core";
/**
 * A directive which encapsulates the editing operations of the Grid when using the
 * Reactive Forms ([see example](slug:editing_directives_grid#toc-reactive-editing-directive)).
 */
export declare class ReactiveEditingDirective extends RowEditingDirectiveBase {
    protected grid: GridComponent;
    protected localDataChangesService: LocalDataChangesService;
    /**
     * The function that creates the `FormGroup` for the edited model.
     */
    createFormGroup: CreateFormGroup;
    constructor(grid: GridComponent, localDataChangesService: LocalDataChangesService);
    protected createModel(args: any): any;
    protected saveModel({ dataItem, formGroup, isNew }: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReactiveEditingDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ReactiveEditingDirective, "[kendoGridReactiveEditing]", never, { "createFormGroup": { "alias": "kendoGridReactiveEditing"; "required": false; }; }, {}, never, never, true, never>;
}
