/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DialogContentBase, DialogRef } from '@progress/kendo-angular-dialog';
import { FormControlSettings, FormSettings } from './models';
import { FormGroup } from '@angular/forms';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class DialogFormComponent extends DialogContentBase {
    private localization;
    controls: FormControlSettings[];
    formGroup: FormGroup;
    formSettings: FormSettings;
    saveIcon: SVGIcon;
    cancelIcon: SVGIcon;
    constructor(dialogRef: DialogRef, localization: LocalizationService);
    save(): void;
    cancel(): void;
    messageFor(key: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DialogFormComponent, "kendo-grid-dialog-form", never, { "controls": { "alias": "controls"; "required": false; }; "formGroup": { "alias": "formGroup"; "required": false; }; "formSettings": { "alias": "formSettings"; "required": false; }; }, {}, never, never, true, never>;
}
