/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterContentInit, ChangeDetectorRef } from '@angular/core';
import { FormControlSettings } from './models';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FormFormFieldComponent implements AfterContentInit {
    private localization;
    private cdr;
    control: FormControlSettings;
    floatingLabel: boolean;
    showError: boolean;
    input: any;
    constructor(localization: LocalizationService, cdr: ChangeDetectorRef);
    ngAfterContentInit(): void;
    messageFor(key: string, errorName: string, field: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormFormFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormFormFieldComponent, "kendo-form-formfield", never, { "control": { "alias": "control"; "required": false; }; "floatingLabel": { "alias": "floatingLabel"; "required": false; }; "showError": { "alias": "showError"; "required": false; }; }, {}, never, never, true, never>;
}
