/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { FormActionButton, FormControlSettings, FormSettings, FormSubmitEvent } from './models';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FormComponent implements OnInit {
    controls: FormControlSettings[];
    set formSettings(value: FormSettings);
    get formSettings(): FormSettings;
    formGroup: FormGroup;
    set actionButtons(value: boolean | FormActionButton[]);
    get actionButtons(): FormActionButton[];
    formSubmit: EventEmitter<FormSubmitEvent>;
    get componentIndex(): number;
    private _formSettings;
    private defaultActionButtons;
    private _actionButtons;
    ngOnInit(): void;
    private normalizeActionButtonSettings;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormComponent, "kendo-grid-external-form", never, { "controls": { "alias": "controls"; "required": false; }; "formSettings": { "alias": "formSettings"; "required": false; }; "formGroup": { "alias": "formGroup"; "required": false; }; "actionButtons": { "alias": "actionButtons"; "required": false; }; }, { "formSubmit": "formSubmit"; }, never, never, true, never>;
}
