/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChangeDetectorRef, DoCheck, NgZone } from '@angular/core';
import { ToolBarButtonComponent } from '@progress/kendo-angular-toolbar';
import { SelectionService } from '../selection/selection.service';
import { EditService } from '../editing/edit.service';
import { ContextService } from '../common/provider.service';
import { ToolbarToolBase } from '../common/toolbar-tool-base.directive';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare abstract class ToolbarEditingToolBase extends ToolbarToolBase implements DoCheck {
    host: ToolBarButtonComponent;
    commandName: string;
    ctx: ContextService;
    editService?: EditService;
    selection?: SelectionService;
    private isEdited;
    private lastToolState;
    constructor(host: ToolBarButtonComponent, commandName: string, ctx: ContextService, zone: NgZone, cdr: ChangeDetectorRef, editService?: EditService, selection?: SelectionService);
    ngDoCheck(): void;
    get lastSelectionIndex(): number;
    get isSelectionPresent(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToolbarEditingToolBase, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ToolbarEditingToolBase, never, never, {}, {}, never, never, false, never>;
}
