/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "@progress/kendo-angular-icons";
import * as i2 from "./excel.component";
import * as i3 from "./excel-command.directive";
import * as i4 from "./excel-command-tool.directive";
import * as i5 from "@progress/kendo-angular-excel-export";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Excel component of the Grid.
 *
 * @example
 *
 * ```ts
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from "@angular/platform-browser";
 * import { GridModule, ExcelModule } from '@progress/kendo-angular-grid';
 * import { AppComponent } from './app.component';
 *
 * _@NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, GridModule, ExcelModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * ```
 */
export declare class ExcelModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ExcelModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ExcelModule, never, [typeof i1.IconComponent, typeof i1.SVGIconComponent, typeof i2.ExcelComponent, typeof i3.ExcelCommandDirective, typeof i4.ExcelCommandToolbarDirective, typeof i5.ColumnComponent, typeof i5.ColumnGroupComponent, typeof i5.FooterTemplateDirective, typeof i5.GroupFooterTemplateDirective, typeof i5.GroupHeaderColumnTemplateDirective, typeof i5.GroupHeaderTemplateDirective], [typeof i2.ExcelComponent, typeof i3.ExcelCommandDirective, typeof i4.ExcelCommandToolbarDirective, typeof i5.ColumnComponent, typeof i5.ColumnGroupComponent, typeof i5.FooterTemplateDirective, typeof i5.GroupFooterTemplateDirective, typeof i5.GroupHeaderColumnTemplateDirective, typeof i5.GroupHeaderTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ExcelModule>;
}
