/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ColumnComponent } from '../../columns/column.component';
import { FilterService } from '../filter.service';
import { FilterDescriptor } from '@progress/kendo-data-query';
import { BaseFilterCellComponent } from '../base-filter-cell.component';
import { FilterComponent } from '../filter-component.interface';
import { SizingOptionsService } from '../../layout/sizing-options.service';
import { GridSize } from '../../common/size-options';
import { ContextService } from '../../common/provider.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class AutoCompleteFilterCellComponent extends BaseFilterCellComponent implements FilterComponent {
    protected ctx: ContextService;
    showOperators: boolean;
    column: ColumnComponent;
    data: any[];
    set valueField(value: string);
    get valueField(): string;
    get currentFilter(): FilterDescriptor;
    get currentOperator(): string;
    size: GridSize;
    private _valueField;
    private subs;
    constructor(filterService: FilterService, column: ColumnComponent, ctx: ContextService, sizingOptionsService: SizingOptionsService);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutoCompleteFilterCellComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AutoCompleteFilterCellComponent, "kendo-grid-autocomplete-filter-cell", never, { "showOperators": { "alias": "showOperators"; "required": false; }; "column": { "alias": "column"; "required": false; }; "data": { "alias": "data"; "required": false; }; "valueField": { "alias": "valueField"; "required": false; }; }, {}, never, never, true, never>;
}
