/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Type, ViewContainerRef, OnInit, OnDestroy, OnChanges, ComponentRef, SimpleChange } from '@angular/core';
import { ColumnComponent } from '../columns/column.component';
import { CompositeFilterDescriptor } from '@progress/kendo-data-query';
import { FilterComponent } from './filter-component.interface';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export type Context = {
    filter: CompositeFilterDescriptor;
    column: ColumnComponent;
};
/**
 * @hidden
 */
export declare abstract class FilterHostDirective implements OnInit, OnDestroy, OnChanges {
    private host;
    column: ColumnComponent;
    filter: CompositeFilterDescriptor;
    protected component: ComponentRef<FilterComponent>;
    constructor(host: ViewContainerRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: {
        [propertyName: string]: SimpleChange;
    }): void;
    protected abstract componentType(): Type<FilterComponent>;
    protected initComponent({ column, filter }: Context): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterHostDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FilterHostDirective, "[kendoGridFilterHostBase]", never, { "column": { "alias": "column"; "required": false; }; "filter": { "alias": "filter"; "required": false; }; }, {}, never, never, false, never>;
}
