/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SimpleChange } from "@angular/core";
import { ColumnComponent } from "../columns/column.component";
import { CompositeFilterDescriptor, FilterDescriptor } from "@progress/kendo-data-query";
import { FilterInputDirective } from "./filter-input.directive";
import { BaseFilterCellComponent } from "./base-filter-cell.component";
import { FilterService } from "./filter.service";
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare abstract class FilterInputWrapperComponent extends BaseFilterCellComponent {
    column: ColumnComponent;
    input: FilterInputDirective;
    get currentFilter(): FilterDescriptor;
    get currentOperator(): string;
    set currentOperator(value: string);
    get defaultOperator(): string;
    set defaultOperator(value: string);
    private set filterInputDisabled(value);
    private _defaultOperator;
    private _operator;
    private changeSubscription;
    constructor(filterService: FilterService);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    onChange(value: any): void;
    onClear(): void;
    protected applyNoValueFilter(operator: string): void;
    protected abstract filterChange(filter: CompositeFilterDescriptor): void;
    ngOnChanges(changes: {
        [propertyName: string]: SimpleChange;
    }): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterInputWrapperComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FilterInputWrapperComponent, never, never, { "column": { "alias": "column"; "required": false; }; "defaultOperator": { "alias": "defaultOperator"; "required": false; }; }, {}, ["input"], never, false, never>;
}
