/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, EventEmitter, NgZone, OnChanges, OnDestroy, AfterViewInit, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FilterInputDirective implements AfterViewInit, OnDestroy, OnChanges {
    private ngZone;
    private element;
    private renderer;
    change: EventEmitter<string>;
    composing: boolean;
    kendoInput: any;
    filterDelay: number;
    columnLabel: string;
    set value(value: string);
    set disabled(value: boolean);
    private accessor;
    private changeRequests;
    private changeRequestsSubscription;
    private unsubscribeEvents;
    constructor(valueAccessors: ControlValueAccessor[], ngZone: NgZone, element: ElementRef, renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnChanges(changes: any): void;
    ngOnDestroy(): void;
    private subscribeChanges;
    private unsubscribeChanges;
    private addAriaAttributes;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterInputDirective, [{ self: true; }, null, null, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FilterInputDirective, "[kendoFilterInput]", never, { "filterDelay": { "alias": "filterDelay"; "required": false; }; "columnLabel": { "alias": "columnLabel"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, {}, ["kendoInput"], never, true, never>;
}
