/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ColumnInfoService } from './../common/column-info.service';
import { ColumnBase } from '../columns/column-base';
import { DetailTemplateDirective } from '../rendering/details/detail-template.directive';
import { CompositeFilterDescriptor, GroupDescriptor } from '@progress/kendo-data-query';
import { ColumnComponent } from '../columns/column.component';
import { ContextService } from '../common/provider.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FilterRowComponent {
    private ctx;
    private columnInfoService;
    columns: ColumnBase[];
    filter: CompositeFilterDescriptor;
    groups: Array<GroupDescriptor>;
    detailTemplate: DetailTemplateDirective;
    logicalRowIndex: number;
    lockedColumnsCount: number;
    filterRowClass: boolean;
    constructor(ctx: ContextService, columnInfoService: ColumnInfoService);
    addStickyStyles(column: ColumnBase): {
        [key: string]: any;
    };
    filterLabel(column: ColumnComponent): string;
    getLogicalColIndex(columnIndex: number): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterRowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterRowComponent, "[kendoGridFilterRow]", never, { "columns": { "alias": "columns"; "required": false; }; "filter": { "alias": "filter"; "required": false; }; "groups": { "alias": "groups"; "required": false; }; "detailTemplate": { "alias": "detailTemplate"; "required": false; }; "logicalRowIndex": { "alias": "logicalRowIndex"; "required": false; }; "lockedColumnsCount": { "alias": "lockedColumnsCount"; "required": false; }; }, {}, never, never, true, never>;
}
