/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Subject } from 'rxjs';
import { CompositeFilterDescriptor } from '@progress/kendo-data-query';
import { MenuTabbingService } from './menu/menu-tabbing.service';
import * as i0 from "@angular/core";
/**
 * Represents a service to set the filter descriptor
 * ([see example]({% slug filter_row %}#toc-custom-filter-row-components)).
 */
export declare class FilterService {
    /**
     * @hidden
     */
    menuTabbingService: MenuTabbingService;
    /**
     * Fires when the filter descriptors is set.
     */
    changes: Subject<CompositeFilterDescriptor>;
    /**
     * Sets the filter descriptor.
     *
     * @param {CompositeFilterDescriptor} value - The filter descriptor that will be set.
     */
    filter(value: CompositeFilterDescriptor): void;
    /**
     * @hidden
     */
    constructor(menuTabbingService?: MenuTabbingService);
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterService, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FilterService>;
}
