/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { MenuTabbingService } from './menu-tabbing.service';
import { OnDestroy } from '@angular/core';
import { FilterDescriptor, CompositeFilterDescriptor } from '@progress/kendo-data-query';
import { ColumnComponent } from "../../columns/column.component";
import { FilterService } from '../filter.service';
import { SinglePopupService } from '../../common/single-popup.service';
import { DatePickerComponent } from '@progress/kendo-angular-dateinputs';
import { CalendarView, DateInputFormatPlaceholder } from '@progress/kendo-angular-dateinputs';
import { ContextService } from '../../common/provider.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class DateFilterMenuInputComponent implements OnDestroy {
    private popupService;
    ctx: ContextService;
    operators: Array<{
        text: string;
        value: string;
    }>;
    column: ColumnComponent;
    filter: CompositeFilterDescriptor;
    operator: string;
    currentFilter: FilterDescriptor;
    filterService: FilterService;
    menuTabbingService: MenuTabbingService;
    format: string;
    formatPlaceholder: DateInputFormatPlaceholder;
    placeholder: string;
    min: Date;
    max: Date;
    activeView: CalendarView;
    bottomView: CalendarView;
    topView: CalendarView;
    weekNumber: boolean;
    isFirstDropDown: boolean;
    private subscription;
    constructor(popupService: SinglePopupService, ctx: ContextService);
    ngOnDestroy(): void;
    open(picker: DatePickerComponent): void;
    messageFor(key: string): string;
    get columnLabel(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateFilterMenuInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DateFilterMenuInputComponent, "kendo-grid-date-filter-menu-input", never, { "operators": { "alias": "operators"; "required": false; }; "column": { "alias": "column"; "required": false; }; "filter": { "alias": "filter"; "required": false; }; "operator": { "alias": "operator"; "required": false; }; "currentFilter": { "alias": "currentFilter"; "required": false; }; "filterService": { "alias": "filterService"; "required": false; }; "menuTabbingService": { "alias": "menuTabbingService"; "required": false; }; "format": { "alias": "format"; "required": false; }; "formatPlaceholder": { "alias": "formatPlaceholder"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "activeView": { "alias": "activeView"; "required": false; }; "bottomView": { "alias": "bottomView"; "required": false; }; "topView": { "alias": "topView"; "required": false; }; "weekNumber": { "alias": "weekNumber"; "required": false; }; "isFirstDropDown": { "alias": "isFirstDropDown"; "required": false; }; }, {}, never, never, true, never>;
}
