/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { MenuTabbingService } from './menu-tabbing.service';
import { Type, ViewContainerRef } from "@angular/core";
import { FilterHostDirective, Context } from "../filter-host.directive";
import { FilterComponent } from "../filter-component.interface";
import { FilterService } from "../filter.service";
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FilterMenuHostDirective extends FilterHostDirective {
    filterService: FilterService;
    menuTabbingService: MenuTabbingService;
    constructor(host: ViewContainerRef);
    protected componentType(): Type<FilterComponent>;
    protected initComponent(ctx: Context): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterMenuHostDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FilterMenuHostDirective, "[kendoFilterMenuHost]", never, { "filterService": { "alias": "filterService"; "required": false; }; "menuTabbingService": { "alias": "menuTabbingService"; "required": false; }; }, {}, never, never, true, never>;
}
