/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnDestroy } from '@angular/core';
import { DropDownListComponent } from '@progress/kendo-angular-dropdowns';
import { CompositeFilterDescriptor, FilterDescriptor } from "@progress/kendo-data-query";
import { MenuTabbingService } from './menu-tabbing.service';
import { FilterService } from '../filter.service';
import { FilterInputWrapperComponent } from "../filter-input-wrapper.component";
import { ContextService } from '../../common/provider.service';
import { AdaptiveGridService } from '../../common/adaptiveness.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FilterMenuInputWrapperComponent extends FilterInputWrapperComponent implements OnDestroy {
    ctx: ContextService;
    private adaptiveGridService;
    filterService: FilterService;
    isFirstDropDown: boolean;
    menuTabbingService: MenuTabbingService;
    firstOperatorDropDown: DropDownListComponent;
    private _currentFilter;
    private subs;
    /**
     * @hidden
     */
    get hostClasses(): boolean;
    constructor(ctx: ContextService, adaptiveGridService: AdaptiveGridService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    operatorChange(dataItem: any): void;
    protected filterChange(filter: CompositeFilterDescriptor): void;
    /**
     * The current filter for the associated column field.
     * @readonly
     * @type {FilterDescriptor}
     */
    get currentFilter(): FilterDescriptor;
    /**
     * The current filter for the associated column field.
     * @readonly
     * @type {FilterDescriptor}
     */
    set currentFilter(value: FilterDescriptor);
    protected updateFilter(filter: FilterDescriptor): CompositeFilterDescriptor;
    onChange(value: any): void;
    onShiftTab(e: Event): void;
    get filterMenuDropDownLabel(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterMenuInputWrapperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterMenuInputWrapperComponent, "kendo-grid-filter-menu-input-wrapper", never, { "filterService": { "alias": "filterService"; "required": false; }; "isFirstDropDown": { "alias": "isFirstDropDown"; "required": false; }; "menuTabbingService": { "alias": "menuTabbingService"; "required": false; }; "currentFilter": { "alias": "currentFilter"; "required": false; }; }, {}, never, ["*"], true, never>;
}
