/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { FilterOperatorBase } from './filter-operator.base';
import { ContextService } from '../../common/provider.service';
import * as i0 from "@angular/core";
/**
 * Represents the `GreaterOrEqualTo` (**Is after or equal to**) [date filter](slug:filtering_grid#toc-date-filter) operator.
 * [See example](slug:filter_row#toc-default-filter-operator).
 */
export declare class AfterEqFilterOperatorComponent extends FilterOperatorBase {
    constructor(ctx: ContextService);
    /**
     * @hidden
     */
    toJSON(): {
        text: string;
        value: string;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<AfterEqFilterOperatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AfterEqFilterOperatorComponent, "kendo-filter-after-eq-operator", never, {}, {}, never, never, true, never>;
}
