/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ContextService } from '../../common/provider.service';
import { FilterOperatorBase } from './filter-operator.base';
import * as i0 from "@angular/core";
/**
 * Represents the `LessOrEqualTo` (**Is before or equal to**) [date filter](slug:filtering_grid#toc-date-filter) operator.
 * [See example](slug:filter_row#toc-default-filter-operator).
 */
export declare class BeforeEqFilterOperatorComponent extends FilterOperatorBase {
    constructor(ctx: ContextService);
    /**
     * @hidden
     */
    toJSON(): {
        text: string;
        value: string;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<BeforeEqFilterOperatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BeforeEqFilterOperatorComponent, "kendo-filter-before-eq-operator", never, {}, {}, never, never, true, never>;
}
