/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ContextService } from '../../common/provider.service';
import { FilterOperatorBase } from './filter-operator.base';
import * as i0 from "@angular/core";
/**
 * Represents the `GreaterOrEqualTo` (**Is greater than or equal to**) [numeric filter](slug:filtering_grid#toc-numeric-filter) operator.
 * [See example](slug:filter_row#toc-default-filter-operator).
 */
export declare class GreaterOrEqualToFilterOperatorComponent extends FilterOperatorBase {
    constructor(ctx: ContextService);
    static ɵfac: i0.ɵɵFactoryDeclaration<GreaterOrEqualToFilterOperatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GreaterOrEqualToFilterOperatorComponent, "kendo-filter-gte-operator", never, {}, {}, never, never, true, never>;
}
