/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ContextService } from '../../common/provider.service';
import { FilterOperatorBase } from './filter-operator.base';
import * as i0 from "@angular/core";
/**
 * Represents the `DoesNotContain` (**Does not contain**) filter operator. [See example](slug:filtering_grid#toc-using-the-built-in-directive).
 *
 * For more information and examples, refer to the article on setting [default filter operators](slug:filter_row#toc-default-filter-operator).
 */
export declare class DoesNotContainFilterOperatorComponent extends FilterOperatorBase {
    constructor(ctx: ContextService);
    static ɵfac: i0.ɵɵFactoryDeclaration<DoesNotContainFilterOperatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DoesNotContainFilterOperatorComponent, "kendo-filter-not-contains-operator", never, {}, {}, never, never, true, never>;
}
