/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./grouping/group-header-template.directive";
import * as i2 from "./grouping/group-header-column-template.directive";
import * as i3 from "./grouping/group-footer-template.directive";
import * as i4 from "./grouping/group-header.component";
import * as i5 from "./grouping/group-panel.component";
import * as i6 from "./columns/column.component";
import * as i7 from "./columns/column-group.component";
import * as i8 from "./navigation/logical-cell.directive";
import * as i9 from "./navigation/logical-row.directive";
import * as i10 from "./navigation/focusable.directive";
import * as i11 from "./rendering/footer/footer-template.directive";
import * as i12 from "./rendering/common/col-group.component";
import * as i13 from "./layout/resizable.directive";
import * as i14 from "@progress/kendo-angular-common";
import * as i15 from "./rendering/common/field-accessor.pipe";
import * as i16 from "./rendering/details/detail-template.directive";
import * as i17 from "./columns/span-column.component";
import * as i18 from "./rendering/common/loading.component";
import * as i19 from "./rendering/grid-table.directive";
import * as i20 from "./columns/command-column.component";
import * as i21 from "./columns/checkbox-column.component";
import * as i22 from "./selection/selection-checkbox.directive";
import * as i23 from "./rendering/cell-template.directive";
import * as i24 from "./editing/edit-template.directive";
import * as i25 from "./row-reordering/drag-handle-template.directive";
import * as i26 from "./row-reordering/drag-hint-template.directive";
import * as i27 from "./rendering/table-body.component";
import * as i28 from "./rendering/no-records-template.directive";
import * as i29 from "./rendering/cell.component";
import * as i30 from "./editing/edit-command.directive";
import * as i31 from "./editing/cancel-command.directive";
import * as i32 from "./editing/save-command.directive";
import * as i33 from "./editing/remove-command.directive";
import * as i34 from "./editing/add-command.directive";
import * as i35 from "./editing/add-command-tool.directive";
import * as i36 from "./editing/edit-command-tool.directive";
import * as i37 from "./editing/save-command-tool.directive";
import * as i38 from "./editing/remove-command-tool.directive";
import * as i39 from "./editing/cancel-command-tool.directive";
import * as i40 from "./rendering/cell-loading.template.directive";
import * as i41 from "./rendering/loading-template.directive";
import * as i42 from "./columns/reorder-column.component";
import * as i43 from "./rendering/toolbar/tools/sort-command-tool.directive";
import * as i44 from "./rendering/toolbar/tools/filter-command-tool.directive";
import * as i45 from "./rendering/toolbar/tools/group-command-tool.directive";
import * as i46 from "./rendering/header/header.component";
import * as i47 from "./rendering/header/header-template.directive";
import * as i48 from "./column-resizing/column-handle.directive";
import * as i49 from "./selection/selectall-checkbox.directive";
import * as i50 from "./rendering/footer/footer.component";
import * as i51 from "@progress/kendo-angular-pager";
import * as i52 from "@progress/kendo-angular-toolbar";
import * as i53 from "./filtering/filter-row.component";
import * as i54 from "./filtering/cell/filter-cell.component";
import * as i55 from "./filtering/cell/filter-cell-template.directive";
import * as i56 from "./filtering/cell/string-filter-cell.component";
import * as i57 from "./filtering/cell/numeric-filter-cell.component";
import * as i58 from "./filtering/cell/autocomplete-filter-cell.component";
import * as i59 from "./filtering/cell/boolean-filter-cell.component";
import * as i60 from "./filtering/cell/filter-cell-host.directive";
import * as i61 from "./filtering/cell/filter-cell-wrapper.component";
import * as i62 from "./filtering/cell/date-filter-cell.component";
import * as i63 from "./filtering/cell/filter-cell-operators.component";
import * as i64 from "./filtering/operators/contains-filter-operator.component";
import * as i65 from "./filtering/operators/not-contains-filter-operator.component";
import * as i66 from "./filtering/operators/ends-with-filter-operator.component";
import * as i67 from "./filtering/operators/eq-filter-operator.component";
import * as i68 from "./filtering/operators/is-empty-filter-operator.component";
import * as i69 from "./filtering/operators/is-not-empty-filter-operator.component";
import * as i70 from "./filtering/operators/is-not-null-filter-operator.component";
import * as i71 from "./filtering/operators/isnull-filter-operator.component";
import * as i72 from "./filtering/operators/neq-filter-operator.component";
import * as i73 from "./filtering/operators/starts-with-filter-operator.component";
import * as i74 from "./filtering/operators/gt-filter-operator.component";
import * as i75 from "./filtering/operators/gte-filter-operator.component";
import * as i76 from "./filtering/operators/lt-filter-operator.component";
import * as i77 from "./filtering/operators/lte-filter-operator.component";
import * as i78 from "./filtering/operators/after-filter-operator.component";
import * as i79 from "./filtering/operators/after-eq-filter-operator.component";
import * as i80 from "./filtering/operators/before-eq-filter-operator.component";
import * as i81 from "./filtering/operators/before-filter-operator.component";
import * as i82 from "./filtering/filter-input.directive";
import * as i83 from "./filtering/menu/filter-menu.component";
import * as i84 from "./filtering/menu/filter-menu-container.component";
import * as i85 from "./filtering/menu/filter-menu-input-wrapper.component";
import * as i86 from "./filtering/menu/string-filter-menu-input.component";
import * as i87 from "./filtering/menu/string-filter-menu.component";
import * as i88 from "./filtering/menu/filter-menu-template.directive";
import * as i89 from "./filtering/menu/numeric-filter-menu.component";
import * as i90 from "./filtering/menu/numeric-filter-menu-input.component";
import * as i91 from "./filtering/menu/date-filter-menu-input.component";
import * as i92 from "./filtering/menu/date-filter-menu.component";
import * as i93 from "./filtering/menu/filter-menu-host.directive";
import * as i94 from "./filtering/menu/boolean-filter-menu.component";
import * as i95 from "./filtering/menu/filter-menu-dropdownlist.directive";
import * as i96 from "./filtering/menu/filter-radio-button.directive";
import * as i97 from "./column-menu/column-chooser-item-checked.directive";
import * as i98 from "./column-menu/column-list.component";
import * as i99 from "./column-menu/column-chooser.component";
import * as i100 from "./rendering/toolbar/tools/column-chooser-tool.directive";
import * as i101 from "./column-menu/column-menu-chooser.component";
import * as i102 from "./column-menu/column-menu-filter.component";
import * as i103 from "./column-menu/column-menu-item.component";
import * as i104 from "./column-menu/column-menu-item-content-template.directive";
import * as i105 from "./column-menu/column-menu-sort.component";
import * as i106 from "./column-menu/column-menu.component";
import * as i107 from "./column-menu/column-menu-lock.component";
import * as i108 from "./column-menu/column-menu-template.directive";
import * as i109 from "./column-menu/column-menu-container.component";
import * as i110 from "./column-menu/column-menu-item.directive";
import * as i111 from "./column-menu/column-menu-stick.component";
import * as i112 from "./column-menu/column-menu-position.component";
import * as i113 from "./column-menu/column-menu-autosize.component";
import * as i114 from "./column-menu/column-menu-autosize-all.component";
import * as i115 from "./grid.component";
import * as i116 from "./rendering/list.component";
import * as i117 from "./rendering/toolbar/toolbar.component";
import * as i118 from "./localization/localized-messages.directive";
import * as i119 from "./localization/custom-messages.component";
import * as i120 from "./databinding.directive";
import * as i121 from "./rendering/toolbar/toolbar-template.directive";
import * as i122 from "./selection/selection.directive";
import * as i123 from "./editing-directives/template-editing.directive";
import * as i124 from "./editing-directives/reactive-editing.directive";
import * as i125 from "./editing-directives/in-cell-editing.directive";
import * as i126 from "./editing-directives/external-editing.directive";
import * as i127 from "./rendering/details-expand.directive";
import * as i128 from "./rendering/groups-expand.directive";
import * as i129 from "./grouping/group-scroll-binding.directive";
import * as i130 from "./selection/marquee.directive";
import * as i131 from "./rendering/common/spacer.component";
import * as i132 from "./rendering/toolbar/toolbar-focusable.directive";
import * as i133 from "./aggregates/status-bar.component";
import * as i134 from "./aggregates/status-bar-template.directive";
import * as i135 from "./common/clipboard.directive";
import * as i136 from "./editing/form/form.component";
import * as i137 from "./editing/form/dialog-form.component";
import * as i138 from "./editing/form/form-formfield.component";
import * as i139 from "./state-management/undo-redo.directive";
import * as i140 from "./column-resizing/table.directive";
import * as i141 from "./state-management/undo-command-tool";
import * as i142 from "./state-management/redo-command-tool";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Grid component.
 *
 * @example
 *
 * ```ts
 * import { NgModule } from '@angular/core';
 * import { GridModule } from '@progress/kendo-angular-grid';
 * import { BrowserModule } from "@angular/platform-browser";
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, GridModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * ```
 */
export declare class GridModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<GridModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<GridModule, never, [typeof i1.GroupHeaderTemplateDirective, typeof i2.GroupHeaderColumnTemplateDirective, typeof i3.GroupFooterTemplateDirective, typeof i4.GroupHeaderComponent, typeof i5.GroupPanelComponent, typeof i6.ColumnComponent, typeof i7.ColumnGroupComponent, typeof i8.LogicalCellDirective, typeof i9.LogicalRowDirective, typeof i10.FocusableDirective, typeof i11.FooterTemplateDirective, typeof i12.ColGroupComponent, typeof i13.ResizableContainerDirective, typeof i14.TemplateContextDirective, typeof i15.FieldAccessorPipe, typeof i16.DetailTemplateDirective, typeof i17.SpanColumnComponent, typeof i18.LoadingComponent, typeof i19.GridTableDirective, typeof i20.CommandColumnComponent, typeof i21.CheckboxColumnComponent, typeof i22.SelectionCheckboxDirective, typeof i23.CellTemplateDirective, typeof i24.EditTemplateDirective, typeof i25.RowDragHandleTemplateDirective, typeof i26.RowDragHintTemplateDirective, typeof i27.TableBodyComponent, typeof i28.NoRecordsTemplateDirective, typeof i29.CellComponent, typeof i30.EditCommandDirective, typeof i31.CancelCommandDirective, typeof i32.SaveCommandDirective, typeof i33.RemoveCommandDirective, typeof i34.AddCommandDirective, typeof i35.AddCommandToolbarDirective, typeof i36.EditCommandToolbarDirective, typeof i37.SaveCommandToolbarDirective, typeof i38.RemoveCommandToolbarDirective, typeof i39.CancelCommandToolbarDirective, typeof i40.CellLoadingTemplateDirective, typeof i41.LoadingTemplateDirective, typeof i42.RowReorderColumnComponent, typeof i43.SortCommandToolbarDirective, typeof i44.FilterCommandToolbarDirective, typeof i45.GroupCommandToolbarDirective, typeof i46.HeaderComponent, typeof i47.HeaderTemplateDirective, typeof i48.ColumnHandleDirective, typeof i49.SelectAllCheckboxDirective, typeof i50.FooterComponent, typeof i51.CustomMessagesComponent, typeof i51.PagerFocusableDirective, typeof i51.PagerInfoComponent, typeof i51.PagerInputComponent, typeof i51.PagerNextButtonsComponent, typeof i51.PagerNumericButtonsComponent, typeof i51.PagerPageSizesComponent, typeof i51.PagerPrevButtonsComponent, typeof i51.PagerTemplateDirective, typeof i51.PagerComponent, typeof i51.PagerSpacerComponent, typeof i52.ToolBarComponent, typeof i52.ToolbarCustomMessagesComponent, typeof i52.ToolBarButtonComponent, typeof i52.ToolBarButtonGroupComponent, typeof i52.ToolBarDropDownButtonComponent, typeof i52.ToolBarSeparatorComponent, typeof i52.ToolBarSpacerComponent, typeof i52.ToolBarSplitButtonComponent, typeof i52.ToolBarToolComponent, typeof i53.FilterRowComponent, typeof i54.FilterCellComponent, typeof i55.FilterCellTemplateDirective, typeof i56.StringFilterCellComponent, typeof i57.NumericFilterCellComponent, typeof i58.AutoCompleteFilterCellComponent, typeof i59.BooleanFilterCellComponent, typeof i60.FilterCellHostDirective, typeof i61.FilterCellWrapperComponent, typeof i62.DateFilterCellComponent, typeof i6.ColumnComponent, typeof i7.ColumnGroupComponent, typeof i8.LogicalCellDirective, typeof i9.LogicalRowDirective, typeof i10.FocusableDirective, typeof i11.FooterTemplateDirective, typeof i12.ColGroupComponent, typeof i13.ResizableContainerDirective, typeof i14.TemplateContextDirective, typeof i15.FieldAccessorPipe, typeof i16.DetailTemplateDirective, typeof i17.SpanColumnComponent, typeof i18.LoadingComponent, typeof i19.GridTableDirective, typeof i63.FilterCellOperatorsComponent, typeof i64.ContainsFilterOperatorComponent, typeof i65.DoesNotContainFilterOperatorComponent, typeof i66.EndsWithFilterOperatorComponent, typeof i67.EqualFilterOperatorComponent, typeof i68.IsEmptyFilterOperatorComponent, typeof i69.IsNotEmptyFilterOperatorComponent, typeof i70.IsNotNullFilterOperatorComponent, typeof i71.IsNullFilterOperatorComponent, typeof i72.NotEqualFilterOperatorComponent, typeof i73.StartsWithFilterOperatorComponent, typeof i74.GreaterFilterOperatorComponent, typeof i75.GreaterOrEqualToFilterOperatorComponent, typeof i76.LessFilterOperatorComponent, typeof i77.LessOrEqualToFilterOperatorComponent, typeof i78.AfterFilterOperatorComponent, typeof i79.AfterEqFilterOperatorComponent, typeof i80.BeforeEqFilterOperatorComponent, typeof i81.BeforeFilterOperatorComponent, typeof i82.FilterInputDirective, typeof i6.ColumnComponent, typeof i7.ColumnGroupComponent, typeof i8.LogicalCellDirective, typeof i9.LogicalRowDirective, typeof i10.FocusableDirective, typeof i11.FooterTemplateDirective, typeof i12.ColGroupComponent, typeof i13.ResizableContainerDirective, typeof i14.TemplateContextDirective, typeof i15.FieldAccessorPipe, typeof i16.DetailTemplateDirective, typeof i17.SpanColumnComponent, typeof i18.LoadingComponent, typeof i19.GridTableDirective, typeof i63.FilterCellOperatorsComponent, typeof i64.ContainsFilterOperatorComponent, typeof i65.DoesNotContainFilterOperatorComponent, typeof i66.EndsWithFilterOperatorComponent, typeof i67.EqualFilterOperatorComponent, typeof i68.IsEmptyFilterOperatorComponent, typeof i69.IsNotEmptyFilterOperatorComponent, typeof i70.IsNotNullFilterOperatorComponent, typeof i71.IsNullFilterOperatorComponent, typeof i72.NotEqualFilterOperatorComponent, typeof i73.StartsWithFilterOperatorComponent, typeof i74.GreaterFilterOperatorComponent, typeof i75.GreaterOrEqualToFilterOperatorComponent, typeof i76.LessFilterOperatorComponent, typeof i77.LessOrEqualToFilterOperatorComponent, typeof i78.AfterFilterOperatorComponent, typeof i79.AfterEqFilterOperatorComponent, typeof i80.BeforeEqFilterOperatorComponent, typeof i81.BeforeFilterOperatorComponent, typeof i82.FilterInputDirective, typeof i83.FilterMenuComponent, typeof i84.FilterMenuContainerComponent, typeof i85.FilterMenuInputWrapperComponent, typeof i86.StringFilterMenuInputComponent, typeof i87.StringFilterMenuComponent, typeof i88.FilterMenuTemplateDirective, typeof i89.NumericFilterMenuComponent, typeof i90.NumericFilterMenuInputComponent, typeof i91.DateFilterMenuInputComponent, typeof i92.DateFilterMenuComponent, typeof i93.FilterMenuHostDirective, typeof i94.BooleanFilterMenuComponent, typeof i95.FilterMenuDropDownListDirective, typeof i96.BooleanFilterRadioButtonDirective, typeof i97.ColumnMenuChooserItemCheckedDirective, typeof i98.ColumnListComponent, typeof i99.ColumnChooserComponent, typeof i100.ColumnChooserToolbarDirective, typeof i101.ColumnMenuChooserComponent, typeof i102.ColumnMenuFilterComponent, typeof i103.ColumnMenuItemComponent, typeof i104.ColumnMenuItemContentTemplateDirective, typeof i105.ColumnMenuSortComponent, typeof i106.ColumnMenuComponent, typeof i107.ColumnMenuLockComponent, typeof i108.ColumnMenuTemplateDirective, typeof i109.ColumnMenuContainerComponent, typeof i110.ColumnMenuItemDirective, typeof i111.ColumnMenuStickComponent, typeof i112.ColumnMenuPositionComponent, typeof i113.ColumnMenuAutoSizeColumnComponent, typeof i114.ColumnMenuAutoSizeAllColumnsComponent, typeof i115.GridComponent, typeof i116.ListComponent, typeof i117.ToolbarComponent, typeof i118.LocalizedMessagesDirective, typeof i119.CustomMessagesComponent, typeof i120.DataBindingDirective, typeof i121.ToolbarTemplateDirective, typeof i122.SelectionDirective, typeof i123.TemplateEditingDirective, typeof i124.ReactiveEditingDirective, typeof i125.InCellEditingDirective, typeof i126.ExternalEditingDirective, typeof i127.ExpandDetailsDirective, typeof i128.ExpandGroupDirective, typeof i129.GroupBindingDirective, typeof i130.GridMarqueeDirective, typeof i131.GridSpacerComponent, typeof i132.GridToolbarFocusableDirective, typeof i133.StatusBarComponent, typeof i134.StatusBarTemplateDirective, typeof i135.GridClipboardDirective, typeof i136.FormComponent, typeof i137.DialogFormComponent, typeof i138.FormFormFieldComponent, typeof i139.UndoRedoDirective, typeof i52.ToolBarComponent, typeof i52.ToolbarCustomMessagesComponent, typeof i52.ToolBarButtonComponent, typeof i52.ToolBarButtonGroupComponent, typeof i52.ToolBarDropDownButtonComponent, typeof i52.ToolBarSeparatorComponent, typeof i52.ToolBarSpacerComponent, typeof i52.ToolBarSplitButtonComponent, typeof i52.ToolBarToolComponent, typeof i140.TableDirective, typeof i141.UndoCommandToolbarDirective, typeof i142.RedoCommandToolbarDirective], [typeof i115.GridComponent, typeof i121.ToolbarTemplateDirective, typeof i117.ToolbarComponent, typeof i131.GridSpacerComponent, typeof i134.StatusBarTemplateDirective, typeof i120.DataBindingDirective, typeof i122.SelectionDirective, typeof i119.CustomMessagesComponent, typeof i129.GroupBindingDirective, typeof i123.TemplateEditingDirective, typeof i124.ReactiveEditingDirective, typeof i125.InCellEditingDirective, typeof i126.ExternalEditingDirective, typeof i127.ExpandDetailsDirective, typeof i128.ExpandGroupDirective, typeof i132.GridToolbarFocusableDirective, typeof i1.GroupHeaderTemplateDirective, typeof i2.GroupHeaderColumnTemplateDirective, typeof i3.GroupFooterTemplateDirective, typeof i4.GroupHeaderComponent, typeof i5.GroupPanelComponent, typeof i6.ColumnComponent, typeof i7.ColumnGroupComponent, typeof i8.LogicalCellDirective, typeof i9.LogicalRowDirective, typeof i10.FocusableDirective, typeof i11.FooterTemplateDirective, typeof i12.ColGroupComponent, typeof i13.ResizableContainerDirective, typeof i14.TemplateContextDirective, typeof i15.FieldAccessorPipe, typeof i16.DetailTemplateDirective, typeof i17.SpanColumnComponent, typeof i18.LoadingComponent, typeof i19.GridTableDirective, typeof i20.CommandColumnComponent, typeof i21.CheckboxColumnComponent, typeof i22.SelectionCheckboxDirective, typeof i23.CellTemplateDirective, typeof i24.EditTemplateDirective, typeof i25.RowDragHandleTemplateDirective, typeof i26.RowDragHintTemplateDirective, typeof i27.TableBodyComponent, typeof i28.NoRecordsTemplateDirective, typeof i29.CellComponent, typeof i30.EditCommandDirective, typeof i31.CancelCommandDirective, typeof i32.SaveCommandDirective, typeof i33.RemoveCommandDirective, typeof i34.AddCommandDirective, typeof i35.AddCommandToolbarDirective, typeof i36.EditCommandToolbarDirective, typeof i37.SaveCommandToolbarDirective, typeof i38.RemoveCommandToolbarDirective, typeof i39.CancelCommandToolbarDirective, typeof i40.CellLoadingTemplateDirective, typeof i41.LoadingTemplateDirective, typeof i42.RowReorderColumnComponent, typeof i43.SortCommandToolbarDirective, typeof i44.FilterCommandToolbarDirective, typeof i45.GroupCommandToolbarDirective, typeof i46.HeaderComponent, typeof i47.HeaderTemplateDirective, typeof i48.ColumnHandleDirective, typeof i49.SelectAllCheckboxDirective, typeof i53.FilterRowComponent, typeof i54.FilterCellComponent, typeof i55.FilterCellTemplateDirective, typeof i56.StringFilterCellComponent, typeof i57.NumericFilterCellComponent, typeof i58.AutoCompleteFilterCellComponent, typeof i59.BooleanFilterCellComponent, typeof i60.FilterCellHostDirective, typeof i61.FilterCellWrapperComponent, typeof i62.DateFilterCellComponent, typeof i63.FilterCellOperatorsComponent, typeof i64.ContainsFilterOperatorComponent, typeof i65.DoesNotContainFilterOperatorComponent, typeof i66.EndsWithFilterOperatorComponent, typeof i67.EqualFilterOperatorComponent, typeof i68.IsEmptyFilterOperatorComponent, typeof i69.IsNotEmptyFilterOperatorComponent, typeof i70.IsNotNullFilterOperatorComponent, typeof i71.IsNullFilterOperatorComponent, typeof i72.NotEqualFilterOperatorComponent, typeof i73.StartsWithFilterOperatorComponent, typeof i74.GreaterFilterOperatorComponent, typeof i75.GreaterOrEqualToFilterOperatorComponent, typeof i76.LessFilterOperatorComponent, typeof i77.LessOrEqualToFilterOperatorComponent, typeof i78.AfterFilterOperatorComponent, typeof i79.AfterEqFilterOperatorComponent, typeof i80.BeforeEqFilterOperatorComponent, typeof i81.BeforeFilterOperatorComponent, typeof i83.FilterMenuComponent, typeof i84.FilterMenuContainerComponent, typeof i85.FilterMenuInputWrapperComponent, typeof i86.StringFilterMenuInputComponent, typeof i87.StringFilterMenuComponent, typeof i88.FilterMenuTemplateDirective, typeof i89.NumericFilterMenuComponent, typeof i90.NumericFilterMenuInputComponent, typeof i91.DateFilterMenuInputComponent, typeof i92.DateFilterMenuComponent, typeof i93.FilterMenuHostDirective, typeof i94.BooleanFilterMenuComponent, typeof i95.FilterMenuDropDownListDirective, typeof i96.BooleanFilterRadioButtonDirective, typeof i99.ColumnChooserComponent, typeof i100.ColumnChooserToolbarDirective, typeof i102.ColumnMenuFilterComponent, typeof i103.ColumnMenuItemComponent, typeof i104.ColumnMenuItemContentTemplateDirective, typeof i105.ColumnMenuSortComponent, typeof i107.ColumnMenuLockComponent, typeof i111.ColumnMenuStickComponent, typeof i112.ColumnMenuPositionComponent, typeof i101.ColumnMenuChooserComponent, typeof i108.ColumnMenuTemplateDirective, typeof i109.ColumnMenuContainerComponent, typeof i110.ColumnMenuItemDirective, typeof i106.ColumnMenuComponent, typeof i113.ColumnMenuAutoSizeColumnComponent, typeof i114.ColumnMenuAutoSizeAllColumnsComponent, typeof i135.GridClipboardDirective, typeof i139.UndoRedoDirective, typeof i141.UndoCommandToolbarDirective, typeof i142.RedoCommandToolbarDirective, typeof i52.ToolBarComponent, typeof i52.ToolbarCustomMessagesComponent, typeof i52.ToolBarButtonComponent, typeof i52.ToolBarButtonGroupComponent, typeof i52.ToolBarDropDownButtonComponent, typeof i52.ToolBarSeparatorComponent, typeof i52.ToolBarSpacerComponent, typeof i52.ToolBarSplitButtonComponent, typeof i52.ToolBarToolComponent, typeof i51.CustomMessagesComponent, typeof i51.PagerFocusableDirective, typeof i51.PagerInfoComponent, typeof i51.PagerInputComponent, typeof i51.PagerNextButtonsComponent, typeof i51.PagerNumericButtonsComponent, typeof i51.PagerPageSizesComponent, typeof i51.PagerPrevButtonsComponent, typeof i51.PagerTemplateDirective, typeof i51.PagerComponent, typeof i51.PagerSpacerComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<GridModule>;
}
