/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, OnDestroy, Renderer2 } from '@angular/core';
import { ResizeService } from "./resize.service";
import { ContextService } from './../common/provider.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ResizableContainerDirective implements OnDestroy {
    private el;
    private renderer;
    private resizeService;
    private ctx;
    private _lockedWidth;
    set lockedWidth(value: number);
    set kendoGridResizableContainer(enabled: boolean);
    private enabled;
    private resizeSubscription;
    constructor(el: ElementRef, renderer: Renderer2, resizeService: ResizeService, ctx: ContextService);
    ngOnDestroy(): void;
    private attachResize;
    private resize;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResizableContainerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ResizableContainerDirective, "[kendoGridResizableContainer]", never, { "lockedWidth": { "alias": "lockedWidth"; "required": false; }; "kendoGridResizableContainer": { "alias": "kendoGridResizableContainer"; "required": false; }; }, {}, never, never, true, never>;
}
