/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { InjectionToken } from '@angular/core';
import { FocusGroup } from './focus-group';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare const FOCUS_ROOT_ACTIVE: InjectionToken<string>;
/**
 * @hidden
 */
export declare class FocusRoot {
    active: boolean;
    private groups;
    constructor(active?: boolean);
    registerGroup(group: FocusGroup): void;
    unregisterGroup(group: FocusGroup): void;
    activate(): any;
    deactivate(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<FocusRoot, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FocusRoot>;
}
