/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DoCheck, ElementRef, NgZone, Renderer2, SimpleChanges } from '@angular/core';
import { OnChanges, OnDestroy, OnInit } from '@angular/core';
import { FocusGroup } from './focus-group';
import { LogicalCell } from './logical-cell.interface';
import { NavigationService } from './navigation.service';
import { ColumnInfoService } from '../common/column-info.service';
import { IdService } from '../common/id.service';
import { CellContext } from '../rendering/common/cell-context';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class LogicalCellDirective implements LogicalCell, OnInit, OnChanges, OnDestroy, DoCheck {
    focusGroup: FocusGroup;
    private element;
    private columnInfoService;
    private idService;
    private navigationService;
    private renderer;
    private zone;
    private cellContext;
    logicalColIndex: number;
    logicalRowIndex: number;
    logicalSlaveCell: boolean;
    colIndex: number;
    colSpan: number;
    rowSpan: number;
    groupItem: any;
    dataRowIndex: number;
    dataItem: any;
    detailExpandCell: boolean;
    headerLabelText: string;
    readonly uid: number;
    get id(): string;
    get cellRowspan(): string;
    get rowspanClass(): boolean;
    get ariaColIndex(): number;
    private navigationChange;
    constructor(focusGroup: FocusGroup, element: ElementRef, columnInfoService: ColumnInfoService, idService: IdService, navigationService: NavigationService, renderer: Renderer2, zone: NgZone, cellContext: CellContext);
    ngOnInit(): void;
    ngDoCheck(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private onNavigationChange;
    private updateElement;
    private microtask;
    private registerChanges;
    private registerNoChanges;
    private isFocusable;
    private isFocused;
    static ɵfac: i0.ɵɵFactoryDeclaration<LogicalCellDirective, [null, null, null, null, null, null, null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LogicalCellDirective, "[kendoGridLogicalCell]", never, { "logicalColIndex": { "alias": "logicalColIndex"; "required": false; }; "logicalRowIndex": { "alias": "logicalRowIndex"; "required": false; }; "logicalSlaveCell": { "alias": "logicalSlaveCell"; "required": false; }; "colIndex": { "alias": "colIndex"; "required": false; }; "colSpan": { "alias": "colSpan"; "required": false; }; "rowSpan": { "alias": "rowSpan"; "required": false; }; "groupItem": { "alias": "groupItem"; "required": false; }; "dataRowIndex": { "alias": "dataRowIndex"; "required": false; }; "dataItem": { "alias": "dataItem"; "required": false; }; "detailExpandCell": { "alias": "detailExpandCell"; "required": false; }; "headerLabelText": { "alias": "headerLabelText"; "required": false; }; }, {}, never, never, true, never>;
}
