/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DoCheck, TemplateRef } from '@angular/core';
import { EditService } from '../editing/edit.service';
import { ColumnComponent } from '../columns/column.component';
import { FormGroup } from '@angular/forms';
import { CellContext } from './common/cell-context';
import { IdService } from '../common/id.service';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { ContextService } from '../common/provider.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class CellComponent implements DoCheck {
    private editService;
    private idService;
    private ctx;
    private cellContext;
    get commandCellClass(): boolean;
    get dragHandleCellClass(): boolean;
    get dragRowHandleLabel(): string;
    column: any;
    columnIndex: number;
    isNew: boolean;
    isLoading: boolean;
    isVirtual: boolean;
    loadingTemplate: TemplateRef<any>;
    set rowIndex(index: number);
    get rowIndex(): number;
    dataItem: any;
    reorderIcon: SVGIcon;
    get isEdited(): boolean;
    get showLoading(): boolean;
    get formGroup(): FormGroup;
    get templateContext(): any;
    get editTemplateContext(): any;
    get rowReorderTemplateContext(): any;
    get format(): any;
    get isBoundColumn(): boolean;
    get isCheckboxColumn(): boolean;
    get selectionCheckboxId(): string;
    get selectionCheckboxLabel(): string;
    get isSpanColumn(): boolean;
    get children(): ColumnComponent[];
    get isRowReorderColumn(): boolean;
    get isRowSelectable(): boolean;
    private _rowIndex;
    private get isColumnEditable();
    private _templateContext;
    private _editTemplateContext;
    private _rowReorderTemplateContext;
    constructor(editService: EditService, idService: IdService, ctx: ContextService, cellContext: CellContext);
    ngDoCheck(): void;
    ngOnChanges(): void;
    ngAfterContentChecked(): void;
    private isCommand;
    private isFieldEditable;
    private updateCellContext;
    private updateTemplateContext;
    static ɵfac: i0.ɵɵFactoryDeclaration<CellComponent, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CellComponent, "[kendoGridCell]", never, { "column": { "alias": "column"; "required": false; }; "columnIndex": { "alias": "columnIndex"; "required": false; }; "isNew": { "alias": "isNew"; "required": false; }; "isLoading": { "alias": "isLoading"; "required": false; }; "isVirtual": { "alias": "isVirtual"; "required": false; }; "loadingTemplate": { "alias": "loadingTemplate"; "required": false; }; "rowIndex": { "alias": "rowIndex"; "required": false; }; "dataItem": { "alias": "dataItem"; "required": false; }; }, {}, never, never, true, never>;
}
