/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { GroupDescriptor, SortDescriptor } from '@progress/kendo-data-query';
import { ColumnComponent } from '../../columns/column.component';
import { DetailTemplateDirective } from '../details/detail-template.directive';
import { ColumnBase } from "../../columns/column-base";
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ColGroupComponent {
    columns: Array<ColumnComponent>;
    groups: Array<GroupDescriptor>;
    detailTemplate: DetailTemplateDirective;
    sort: Array<SortDescriptor>;
    get columnsToRender(): Array<ColumnBase>;
    trackBy(index: number): number;
    isSorted(column: ColumnComponent): boolean;
    getColumnComponent(column: ColumnBase): ColumnComponent;
    private isSortable;
    private sortDescriptor;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ColGroupComponent, "[kendoGridColGroup]", never, { "columns": { "alias": "columns"; "required": false; }; "groups": { "alias": "groups"; "required": false; }; "detailTemplate": { "alias": "detailTemplate"; "required": false; }; "sort": { "alias": "sort"; "required": false; }; }, {}, never, never, true, never>;
}
