/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter, Injector, ViewContainerRef } from '@angular/core';
import { ContextService } from '../../../common/provider.service';
import { SVGIcon } from '@progress/kendo-angular-icons';
import { FilterService } from '../../../filtering/filter.service';
import { ColumnMenuService } from '../../../column-menu/column-menu.service';
import { ColumnInfoService } from '../../../common/column-info.service';
import { ToolBarButtonComponent } from '@progress/kendo-angular-toolbar';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FilterToolWrapperComponent {
    private injector;
    container: ViewContainerRef;
    wrapperClasses: boolean;
    onEscKeyDown(event: KeyboardEvent): void;
    onClick(event: any): void;
    close: EventEmitter<any>;
    hostButton: ToolBarButtonComponent;
    clearIcon: SVGIcon;
    columnInfoService: ColumnInfoService;
    set ctx(ctx: ContextService);
    get ctx(): ContextService;
    set filterService(filterService: FilterService);
    get filterService(): FilterService;
    columnMenuService: ColumnMenuService;
    private popupRef;
    private filter;
    private subscriptions;
    private _ctx;
    private _filterService;
    constructor(injector: Injector);
    ngOnDestroy(): void;
    clear(): void;
    private createPopup;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterToolWrapperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterToolWrapperComponent, "kendo-filter-tool-wrapper", never, {}, { "close": "close"; }, never, never, true, never>;
}
