/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, EventEmitter, QueryList, NgZone, OnDestroy } from '@angular/core';
import { ContextService } from '../../../common/provider.service';
import { ColumnBase } from '../../../columns/column-base';
import { ColumnComponent } from '../../../columns/column.component';
import { GroupDescriptor } from '@progress/kendo-data-query';
import { IconSize, SVGIcon } from '@progress/kendo-angular-icons';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class GroupToolbarToolComponent implements OnDestroy {
    element: ElementRef;
    private ngZone;
    hostClass: boolean;
    get lgClass(): boolean;
    get mdClass(): boolean;
    onEscKeyDown(event: KeyboardEvent): void;
    set groupItems(items: QueryList<ElementRef>);
    get groupItems(): QueryList<ElementRef>;
    private _groupItems;
    adaptive: boolean;
    close: EventEmitter<any>;
    groupClear: EventEmitter<any>;
    currentFocusedItemIndex: number;
    group: Array<GroupDescriptor>;
    columns: Array<ColumnBase>;
    iconSize: IconSize;
    upIcon: SVGIcon;
    downIcon: SVGIcon;
    removeIcon: SVGIcon;
    addIcon: SVGIcon;
    clearIcon: SVGIcon;
    private _ctx;
    set ctx(ctx: ContextService);
    get ctx(): ContextService;
    groupedColumns: any[];
    ungroupedColumns: any[];
    private subscription;
    private hostButton;
    constructor(element: ElementRef, ngZone: NgZone);
    ngOnInit(): void;
    ngOnDestroy(): void;
    addGroup(column: ColumnBase, ev: any): void;
    removeGroup(column: ColumnBase, ev: any): void;
    moveGroupUp(column: ColumnBase, ev: any): void;
    moveGroupDown(column: ColumnBase, ev: any): void;
    clear(): void;
    getColumnComponent(column: ColumnBase): ColumnComponent;
    onItemFocus(groupIndex: number | null, index: number): void;
    handleGroupedKeydown(column: ColumnBase, index: number, ev: any): void;
    handleUngroupedKeydown(column: ColumnBase, index: number, ev: any): void;
    private updateGroupedColumns;
    private navigateToNextItem;
    private navigateToPreviousItem;
    static ɵfac: i0.ɵɵFactoryDeclaration<GroupToolbarToolComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GroupToolbarToolComponent, "kendo-group-toolbar-tool", never, { "adaptive": { "alias": "adaptive"; "required": false; }; }, { "close": "close"; "groupClear": "groupClear"; }, never, never, true, never>;
}
