/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, EventEmitter, QueryList, NgZone, AfterViewInit, OnDestroy } from '@angular/core';
import { ContextService } from '../../../common/provider.service';
import { ColumnBase } from '../../../columns/column-base';
import { SortService } from '../../../common/sort.service';
import { ColumnComponent } from '../../../columns/column.component';
import { SortDescriptor } from '@progress/kendo-data-query';
import { SVGIcon } from '@progress/kendo-angular-icons';
import { ColumnInfoService } from '../../../common/column-info.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare const directions: (initialDirection: any) => string[];
/**
 * @hidden
 */
export declare class SortToolbarToolComponent implements AfterViewInit, OnDestroy {
    element: ElementRef;
    private ngZone;
    sortItems: QueryList<ElementRef>;
    wrapperClasses: boolean;
    onEscKeyDown(event: KeyboardEvent): void;
    close: EventEmitter<any>;
    sortClear: EventEmitter<any>;
    sort: Array<SortDescriptor>;
    columns: Array<ColumnBase>;
    sortAscSmallIcon: SVGIcon;
    sortDescSmallIcon: SVGIcon;
    clearIcon: SVGIcon;
    private _columnInfoService;
    set columnInfoService(columnInfoService: ColumnInfoService);
    get columnInfoService(): ColumnInfoService;
    private _ctx;
    set ctx(ctx: ContextService);
    get ctx(): ContextService;
    private _sortService;
    set sortService(sortService: SortService);
    get sortService(): SortService;
    private subscription;
    private hostButton;
    constructor(element: ElementRef, ngZone: NgZone);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    toggleSort(column: ColumnBase, ev: any): void;
    getColumnComponent(column: ColumnBase): ColumnComponent;
    sortDescriptor(field: string): SortDescriptor;
    getDescriptor(column: ColumnBase): SortDescriptor[];
    showSortNumbering(column: ColumnComponent): boolean;
    sortOrder(field: string): number;
    clearSorting(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SortToolbarToolComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SortToolbarToolComponent, "kendo-sort-toolbar-tool", never, {}, { "close": "close"; "sortClear": "sortClear"; }, never, never, true, never>;
}
