/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DragTargetPressEvent, DragTargetDragEvent, DropTargetEvent } from '@progress/kendo-angular-utils';
import { EventEmitter, Renderer2 } from '@angular/core';
import { RowReorderEvent } from './types';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { ColumnList } from '../columns/column-list';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class RowReorderService {
    private renderer;
    hintElement: HTMLElement;
    defaultSelectors: {
        handle: string;
        dragTarget: string;
        dropTarget: string;
    };
    hintText: string;
    skip: number;
    private dropIndicator;
    private lastDropPosition;
    private dragTarget;
    private dropTarget;
    private offsetY;
    rowReorder: EventEmitter<RowReorderEvent>;
    constructor(renderer: Renderer2);
    ngOnDestroy(): void;
    press(ev: DragTargetPressEvent): void;
    dragStart(): void;
    drag(ev: DragTargetDragEvent): void;
    dragEnter(ev: DropTargetEvent): void;
    dragLeave(): void;
    dragEnd(): void;
    drop(ev: DropTargetEvent): void;
    reorderRows(ev: RowReorderEvent, collection: Array<any>): void;
    get hintIcon(): string;
    get hintSVGIcon(): SVGIcon;
    getDefaultHintText(columns: ColumnList, data: any[]): string;
    getDraggedRow(data: any): any;
    private rowReorderArgs;
    private getDragRowPerElement;
    private createDropIndicator;
    private destroyDropIndicator;
    private destroyHintElement;
    private decorateHint;
    private positionDropIndicator;
    private calculateIndexToAdd;
    private decorateDropIndicator;
    private getDropPosition;
    private updateDropIndicatorPosition;
    private shouldHideDropIndicator;
    private hide;
    private show;
    static ɵfac: i0.ɵɵFactoryDeclaration<RowReorderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RowReorderService>;
}
