/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnInit, OnDestroy, ChangeDetectorRef } from '@angular/core';
import { ContextService } from '../common/provider.service';
import { Selection } from "./selection-default";
import * as i0 from "@angular/core";
/**
 * A directive which stores the row selection state of the Grid in memory
 * ([see example]({% slug selection_grid %}#toc-toggling-the-selection-functionality)).
 */
export declare class SelectionDirective extends Selection implements OnInit, OnDestroy {
    protected ctx: ContextService;
    constructor(ctx: ContextService, cd: ChangeDetectorRef);
    /**
     * @hidden
     */
    ngOnInit(): void;
    /**
     * @hidden
     */
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectionDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SelectionDirective, "[kendoGridSelectBy]", never, {}, {}, never, never, true, never>;
}
